#include<bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n, k=0, k1=0, s=1;
    long long ans=0;
    cin>>n;
    long long a[n+1];
    for (int i=1; i<=n; i++)   cin>>a[i];
    sort(a+1, a+n+1);
    s=a[1];
    for (int i=1; i<n; i++)   if (a[i]==a[i+1]) k1++;
    if (k1==n-1)
    {
        ans=(k1+1)*s;
        cout<<ans;
        return 0;
    }
    k++;
    for (int i=n; i>=1; i--)
    {
        if (a[i]<=0)    break;
        if (a[i]==a[i-1])   k++;
        if (a[i]>a[i-1])
        {
            ans+=k*a[i];
            for (int j=i-1; j>=1; j--)  a[j]-=k;
            k=1;
        }
    }
    cout<<ans<<endl;
}
